Delete Webhook Rule – Management API – MediaKind
Delete Webhook Rule
del https://app.mk.io/api/v1/projects/:project_name/webhook/rules/:rule_name
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
- project_name string Required
- rule_name string Required
Response
- 200 Webhook Rule deleted.
- No response body.
- 204 Nothing to delete.
- No response body.
Errors
- 400 Bad Request
errorobject ErrorDetail Required- Pertinent information about the error
- Show 3 properties
- code string Required
- The error code.
- detail string Required
- The error message.
- extraDetail map from strings to any Optional
- Extra information regarding this error.
- ref string Required
- A reference to the request that caused the error.
- status integer Required
- The HTTP status code
- code string Required
- 401 Unauthorized
errorobject ErrorDetail Required- Pertinent information about the error
- Show 3 properties
- code string Required
- detail string Required
- extraDetail map from strings to any Optional
- ref string Required
- status integer Required
- 403 Forbidden
errorobject ErrorDetail Required- Pertinent information about the error
- Show 3 properties
- code string Required
- detail string Required
- extraDetail map from strings to any Optional
- ref string Required
- status integer Required
- 404 Not Found
errorobject ErrorDetail Required- Pertinent information about the error
- Show 3 properties
- code string Required
- detail string Required
- extraDetail map from strings to any Optional
- ref string Required
- status integer Required
- 429 Too Many Requests
errorobject ErrorDetail Required- Pertinent information about the error
- Show 3 properties
- code string Required
- detail string Required
- extraDetail map from strings to any Optional
- ref string Required
- status integer Required
- 500 Internal Server Error
errorobject ErrorDetail Required- Pertinent information about the error
- Show 3 properties
- code string Required
- detail string Required
- extraDetail map from strings to any Optional
- ref string Required
- status integer Required